GDAL-CONVERT(1)

NAME
gdal-convert - Convert a dataset

Added in version 3.11.

Acts as a shortcut for gdal raster convert or gdal vector convert depending on the nature of the specified dataset.

SYNOPSIS

            Usage: gdal convert [OPTIONS] <INPUT> <OUTPUT>

            Convert a dataset (shortcut for 'gdal raster convert' or 'gdal vector convert').

            Positional arguments:
              -i, --input <INPUT>                                  Input raster, vector or multidimensional raster dataset [required]
              -o, --output <OUTPUT>                                Output raster, vector or multidimensional raster dataset (created by algorithm) [required]

            Common Options:
              -h, --help                                           Display help message and exit
              --json-usage                                         Display usage as JSON document and exit
              --config <KEY>=<VALUE>                               Configuration option [may be repeated]
              -q, --quiet                                          Quiet mode (no progress bar or warning message) [not available in pipelines]

            Options:
              -f, --of, --format, --output-format <OUTPUT-FORMAT>  Output format

            For all options, run 'gdal raster convert --help' or 'gdal vector convert --help'

RETURN STATUS CODE

The program returns status code 0 in case of success, and non-zero in case of error (non-blocking errors emitted as warnings are considered as a successful execution).

EXAMPLES

  Example 1: Converting file utm.tif to GeoPackage raster

            $ gdal convert utm.tif utm.gpkg

AUTHOR
Even Rouault <even.rouault@spatialys.com>

COPYRIGHT
1998-2026